# GET /teams - Fetch Team Data
URL: https://sockodds.com/docs/endpoints/getTeams/

# GET /teams - Fetch Team Data [#get-teams---fetch-team-data]

Get a list of Teams by ID or league

`GET https://api.sockodds.com/v2/teams/`

Retrieve team information including names, colours and identifiers. Filter by teamID, leagueID or sportID. Supports pagination.

## Query parameters [#query-parameters]

| Parameter | Type | Description |
| --- | --- | --- |
| `sportID` | `string` | A single sportID or comma-separated list of sportIDs to get Teams for |
| `leagueID` | `string` | A single leagueID or comma-separated list of leagueIDs to get Teams for e.g. `AFL` |
| `teamID` | `string` | A single teamID or comma-separated list of teamIDs to get data for e.g. `BRISBANE_LIONS_AFL` |
| `limit` | `number` | The maximum number of Teams to return (default 50, max 250) |
| `cursor` | `string` | The cursor for the request. Used to get the next group of results. This is an opaque token — pass the nextCursor value from the prior response unchanged. |

## Response [#response]

Paginated: `{ "success": true, "data": Team[], "nextCursor": string | null }`

### Team [#team]

Contains information on a team

| Field | Type | Description |
| --- | --- | --- |
| `teamID` | `string` | e.g. BRISBANE_LIONS_AFL — defined per league |
| `sportID` | `string` |  |
| `leagueID` | `string` |  |
| `names` | `object` | { long, medium, short } |
| `colors` | `object` | { primary, secondary, primaryContrast, secondaryContrast } where known |
| `statEntityID` | `string` | home or away on the event the team was read from |

### Status codes [#status-codes]

| Status | Body |
| --- | --- |
| `200` | `Success` |
| `400` | `{"success":false,"error":"Invalid params"}` |
| `401` | `{"success":false,"error":"Invalid API key"}` |
| `403` | `{"success":false,"error":"Inactive API key"}` |
| `429` | `{"success":false,"error":"Rate limit exceeded"} (Retry-After header)` |
| `500` | `{"success":false,"error":"Query failed"}` |

## Code samples [#code-samples]

**cURL** · **JavaScript** · **Python** · **Go** · **Java** · **C#**

```bash
curl -X GET "https://api.sockodds.com/v2/teams/?leagueID=AFL" \
  -H "x-api-key: YOUR_API_KEY"
```

```javascript
const r = await fetch("https://api.sockodds.com/v2/teams/?leagueID=AFL", { headers: { "x-api-key": "YOUR_API_KEY" } });
const { success, data, nextCursor, notice } = await r.json();
```

```python
import requests
r = requests.get("https://api.sockodds.com/v2/teams/", params=dict(leagueID="AFL"), headers={"x-api-key": "YOUR_API_KEY"})
body = r.json()
```

```go
req, _ := http.NewRequest("GET", "https://api.sockodds.com/v2/teams/?leagueID=AFL", nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
res, err := http.DefaultClient.Do(req)
```

```java
HttpRequest req = HttpRequest.newBuilder().uri(URI.create("https://api.sockodds.com/v2/teams/?leagueID=AFL"))
    .header("x-api-key", "YOUR_API_KEY").GET().build();
HttpResponse<String> res = HttpClient.newHttpClient().send(req, HttpResponse.BodyHandlers.ofString());
```

```csharp
using var http = new HttpClient();
http.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var body = await http.GetStringAsync("https://api.sockodds.com/v2/teams/?leagueID=AFL");
```

## Try it [#try-it]

> Need help?[FAQ](https://sockodds.com/docs/faq/) · [Email](mailto:api@sockodds.com) · [Contact](https://sockodds.com/contact-us/)
